Index: Makefile
===================================================================
--- Makefile	(revision 1890e312bcc2a29b367c4d1c7990fec3ff4541d0)
+++ Makefile	(revision d7eafd83ba96f175df79926c5ba49ba3181ebb5a)
@@ -39,4 +39,5 @@
 	ns \
 	fb \
+	kbd \
 	console \
 	tetris \
@@ -45,19 +46,8 @@
 
 ifeq ($(ARCH), amd64)
-	DIRS += pci \
-		kbd
+	DIRS += pci
 endif
 ifeq ($(ARCH), ia32)
-	DIRS += pci \
-		kbd
-endif
-ifeq ($(ARCH), mips32)
-	DIRS += kbd
-endif
-ifeq ($(ARCH), mips32eb)
-	DIRS += kbd
-endif
-ifeq ($(ARCH), ia64)
-	DIRS += kbd
+	DIRS += pci
 endif
 
Index: kbd/arch/ppc32/include/kbd.h
===================================================================
--- kbd/arch/ppc32/include/kbd.h	(revision d7eafd83ba96f175df79926c5ba49ba3181ebb5a)
+++ kbd/arch/ppc32/include/kbd.h	(revision d7eafd83ba96f175df79926c5ba49ba3181ebb5a)
@@ -0,0 +1,37 @@
+/*
+ * Copyright (C) 2006 Josef Cejka
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifndef __ppc32_KBD_H__
+#define __ppc32_KBD_H__
+
+#include <key_buffer.h>
+
+int kbd_arch_init(void);
+int kbd_arch_process(keybuffer_t *keybuffer, int scan_code);
+
+#endif
Index: kbd/arch/ppc32/src/kbd.c
===================================================================
--- kbd/arch/ppc32/src/kbd.c	(revision d7eafd83ba96f175df79926c5ba49ba3181ebb5a)
+++ kbd/arch/ppc32/src/kbd.c	(revision d7eafd83ba96f175df79926c5ba49ba3181ebb5a)
@@ -0,0 +1,41 @@
+/*
+ * Copyright (C) 2001-2004 Jakub Jermar
+ * Copyright (C) 2006 Josef Cejka
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#include <arch/kbd.h>
+#include <ipc/ipc.h>
+
+int kbd_arch_init(void)
+{
+	return 1;	
+}
+
+int kbd_arch_process(keybuffer_t *keybuffer, int scan_code)
+{
+	return 1;
+}
